Bug 47713 - anaconda can not start at all if video is not recognized (vmware issue).
anaconda can not start at all if video is not recognized (vmware issue).
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-06 13:06 EDT by Eugene Kanter
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-18 17:04:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2001-07-06 13:06:33 EDT
Description of Problem:

Boot virtual machine from CD, hit enter on the boot prompt,
installer gives a traceback.

How Reproducible:

Steps to Reproduce:
1. Configure virtual machine to boot from the CD.
2. Select default install (hit "enter").

Actual Results:
Running anaconda - please wait...
Probing for video card:   Traceback (innermost last):
  File "/usr/bin/anaconda", line 358, in ?
    videohw    = videocard.VideCardInfo()
  File "/usr/bin/anaconda/videocard.py", line 288 in __init__
    if info:
NameError: info
install exited abnormally

Expected Results:
Installer should come up in VGA or text mode if can not recognize
video card.

Additional Information: exactly the same happends if "text" and/or nofb, 
expert, etc is typed at the boot prompt.

Totally unable to install in vmware.
Comment 1 Michael Fulbright 2001-07-09 10:53:25 EDT
vmware installation is not guaranteed to work (and is not supported).

Will look at the code as your failure may happen for people with undetected
hardware as well.
Comment 2 Eugene Kanter 2001-07-09 11:20:49 EDT
What do you mean "is not guaranteed to work"? Do you realize just how large the
number of users that use Red Hat in vmware is? Look at vmware news server!
Besides latest XFree now supports vmware display out of the box.
I am not saying that installer should start in GUI mode,
but TUI should come up just fine, period.
Comment 3 Glen Foster 2001-07-13 18:05:29 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 4 Michael Fulbright 2001-07-18 16:38:23 EDT
I've changed how we fallback to VGA16 some now, please try beta 3 it might help
with this issue as well.
Comment 5 Eugene Kanter 2001-07-18 17:04:40 EDT
Do you have the test image I can try now?

Unrelated issue: beta2 boots in text mode but crashes NT vmware verys soon 
attempting to read from the CDROM. 
This might very well be vmware and/or kernel CDROM bug and can be workaround by 
using network install. 7.1 installs fine in any possible combination of media.

Would it be possible for you to use vmware in routine development? According to 
my experience it is well worth it.
Comment 6 Michael Fulbright 2001-07-19 20:17:36 EDT
Please try the update disk I mentioned on testers-list.

We have not supported VMware installs in the past, so the "MUST FIX" status of
this bug is unwarrented. VMware is not a hardware platform, it is an emulation
layer. This does not meet the requirements we specify for the Red Hat Linux OS.

Note You need to log in before you can comment on or make changes to this bug.